dp12txss: keymgmt_device.h File Reference

| dp12txss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
keymgmt_device.h File Reference

## Overview

This file contains the interface for the key management module.

## Functions
KEYMGMT_tError | KEYMGMTDEV_Init (void)
| This function initializes the module. More...
KEYMGMT_tError | KEYMGMTDEV_Probe (KEYMGMT_tDevID theDevID, KEYMGMT_tTableID *theNumTables, KEYMGMT_tRowID *theNumRowsPerTable)
| This function probes a device. More...
KEYMGMT_tError | KEYMGMTDEV_Enable (KEYMGMT_tDevID theDevID)
| This function enables a device. More...
KEYMGMT_tError | KEYMGMTDEV_Disable (KEYMGMT_tDevID theDevID)
| This function disables a device. More...
KEYMGMT_tError | KEYMGMTDEV_Load (KEYMGMT_tDevID theDevID, KEYMGMT_tTableID theTableID, const uint64_t *theBuf, int theBufSize)
| This function loads a buffer of data into a table. More...
KEYMGMT_tError | KEYMGMTDEV_Verify (KEYMGMT_tDevID theDevID, KEYMGMT_tTableID theTableID, const uint64_t *theBuf, int theBufSize)
| This function verifies the contents of a table against a buffer. More...
uint32_t | KEYMGMTDEV_GetVersion (KEYMGMT_tDevID theDevID)
| This function reads the version of the device core. More...
int | KEYMGMTDEV_Debug (int argc, const char *argv[])
| This function implements the "keymgmt device" debug command. More...

## Function Documentation

int KEYMGMTDEV_Debug | ( | int | argc,
|  | const char * | argv[]
| ) |  |

This function implements the "keymgmt device" debug command.

Parameters

  argc | the number of command line arguments
  argv | the list of the command line arguments

Returns
  Always returns zero (0)

Note
  None.

Referenced by KEYMGMT_Debug().

KEYMGMT_tError KEYMGMTDEV_Disable | ( | KEYMGMT_tDevID | theDevID | ) |

This function disables a device.

Parameters

  theDevID | the id of the device to disable

Returns
  KEYMGMT_ERROR_NONE if successful.

Note
  None.

KEYMGMT_tError KEYMGMTDEV_Enable | ( | KEYMGMT_tDevID | theDevID | ) |

This function enables a device.

Parameters

  theDevID | the id of the device to enable

Returns
  KEYMGMT_ERROR_NONE if successful.

Note
  None.

uint32_t KEYMGMTDEV_GetVersion | ( | KEYMGMT_tDevID | theDevID | ) |

This function reads the version of the device core.

Parameters

  theDevID | the id of the device to query

Returns
  The version of the device core

Note
  None

References doRegRead.

KEYMGMT_tError KEYMGMTDEV_Init | ( | void |  | ) |

This function initializes the module.

Returns
  KEYMGMT_ERROR_NONE if successful.

Note
  None.

Referenced by KEYMGMT_Init().

KEYMGMT_tError KEYMGMTDEV_Load | ( | KEYMGMT_tDevID | theDevID,
|  | KEYMGMT_tTableID | theTableID,
|  | const uint64_t * | theBuf,
|  | int | theBufSize
| ) |  |

This function loads a buffer of data into a table.

Parameters

  theDevID | the id of the device being loaded
  theTableD | the id of the table to be loaded
  theBuf | the buffer of data to be loaded
  theBufSize | the size of the buffer (in bytes)

Returns
  KEYMGMT_ERROR_NONE if successful.

Note
  None.

KEYMGMT_tError KEYMGMTDEV_Probe | ( | KEYMGMT_tDevID | theDevID,
|  | KEYMGMT_tTableID * | theNumTables,
|  | KEYMGMT_tRowID * | theNumRowsPerTable
| ) |  |

This function probes a device.

Parameters

  theDevID | the id of the device to probe

Returns
  KEYMGMT_ERROR_NONE if successful.

Note
  None.

KEYMGMT_tError KEYMGMTDEV_Verify | ( | KEYMGMT_tDevID | theDevID,
|  | KEYMGMT_tTableID | theTableID,
|  | const uint64_t * | theBuf,
|  | int | theBufSize
| ) |  |

This function verifies the contents of a table against a buffer.

Parameters

  theDevID | the id of the device being queried
  theTableD | the id of the table to be verified
  theBuf | the buffer of data to be verified against
  theBufSize | the size of the buffer (in bytes)

Returns
  KEYMGMT_ERROR_NONE if successful.

Note
  None.